# SimpleLocation3D

data class SimpleLocation3D(x: Double, y: Double, z: Double, direction: Vector)
Content copied to clipboard

## Constructors

SimpleLocation3D
Link copied to clipboard
fun SimpleLocation3D(x: Number, y: Number, z: Number)
Content copied to clipboard

## Properties

chunk
Link copied to clipboard
val chunk: SimpleChunkLocation
Content copied to clipboard
direction
Link copied to clipboard
val direction: Vector
Content copied to clipboard
x
Link copied to clipboard
val x: Double
Content copied to clipboard
y
Link copied to clipboard
val y: Double
Content copied to clipboard
z
Link copied to clipboard
val z: Double
Content copied to clipboard

## Extensions

toVector
Link copied to clipboard
fun SimpleLocation3D.toVector(): Vector
Content copied to clipboard
withWorld
Link copied to clipboard
fun SimpleLocation3D.withWorld(world: World): Location
Content copied to clipboard